## kdevelop-php 1.5.1

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(fr)
add_subdirectory(nds)
add_subdirectory(en_GB)
add_subdirectory(ca)
add_subdirectory(de)
add_subdirectory(sl)
add_subdirectory(bs)
add_subdirectory(ca@valencia)
add_subdirectory(nl)
add_subdirectory(it)
add_subdirectory(th)
add_subdirectory(pt)
add_subdirectory(da)
add_subdirectory(zh_TW)
add_subdirectory(gl)
add_subdirectory(sk)
add_subdirectory(nb)
add_subdirectory(el)
add_subdirectory(kk)
add_subdirectory(uk)
add_subdirectory(zh_CN)
add_subdirectory(fi)
add_subdirectory(sv)
add_subdirectory(es)
add_subdirectory(et)
add_subdirectory(pl)
add_subdirectory(pt_BR)

## kdevelop-php 1.0.0

=== debian/changelog ===
kdevelop-php (1.0.0-0ubuntu1) lucid-backports; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 30 Apr 2010 12:52:55 +0100

kdevelop-php (1.0.0~rc2-1) experimental; urgency=low

  * New upstream release.
  * Drop patch to bump plugin version - stolen upstream.

 -- Fathi Boudra <fabo@debian.org>  Sat, 17 Apr 2010 15:39:37 +0300

kdevelop-php (1.0.0~rc1-2) experimental; urgency=low

  * Add patch to bump plugin version. (Closes: #576674)

 -- Fathi Boudra <fabo@debian.org>  Tue, 13 Apr 2010 14:53:36 +0300

kdevelop-php (1.0.0~rc1-1) experimental; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Sun, 04 Apr 2010 11:55:33 +0200

kdevelop-php (1.0.0~beta4-1) experimental; urgency=low

  * New upstream release. (Closes: #573811)

 -- Fathi Boudra <fabo@debian.org>  Sun, 14 Mar 2010 10:19:34 +0100

kdevelop-php (1.0.0~beta3-1) experimental; urgency=low

  * New upstream release.
  * Remove 01_kdevelop-plugin_php_branch_pull_r1076222.diff - stolen upstream.
  * Update debian/control:
    - bump build dependencies (debhelper, pkg-kde-tools, kdevplatform-dev).
    - bump Standards-Version to 3.8.4 (no changes needed).
  * Update debian/rules: enable parallel build (pass --parallel option to dh).

 -- Fathi Boudra <fabo@debian.org>  Wed, 17 Feb 2010 22:20:31 +0100

kdevelop-php (1.0.0~beta2-1) experimental; urgency=low

  * Initial release (Closes: #565680)

 -- Fathi Boudra <fabo@debian.org>  Sun, 17 Jan 2010 17:10:22 +0100

=== debian/control ===
Source: kdevelop-php
Section: devel
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.4.15), cmake (>= 2.8.0), pkg-kde-tools (>= 0.6.4),
 kdevplatform-dev (>= 1.0.0)
Standards-Version: 3.8.4
Homepage: http://www.kdevelop.org/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/trunk/packages/kdevelop-php/#_trunk_packages_kdevelop-php_
Vcs-Svn: svn://svn.debian.org/pkg-kde/trunk/packages/kdevelop-php

Package: kdevelop-php
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdevelop (>= 4:3.10.2)
Description: PHP plugin for KDevelop
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 This package contains the PHP language support plugin.

## kdevelop-php 1.0.1

=== debian/changelog ===
kdevelop-php (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * Add localization packages.

 -- Fathi Boudra <fabo@debian.org>  Fri, 23 Jul 2010 23:45:07 +0300

kdevelop-php (1.0.0-1) unstable; urgency=low

  * New upstream release - upload to unstable.

 -- Fathi Boudra <fabo@debian.org>  Tue, 18 May 2010 12:21:48 +0300

=== debian/control ===
Source: kdevelop-php
Section: devel
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.4.15), cmake (>= 2.8.0), pkg-kde-tools (>= 0.6.4),
 kdevplatform-dev (>= 1.0.1)
Standards-Version: 3.9.0
Homepage: http://www.kdevelop.org/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/trunk/packages/kdevelop-php/#_trunk_packages_kdevelop-php_
Vcs-Svn: svn://svn.debian.org/pkg-kde/trunk/packages/kdevelop-php

Package: kdevelop-php
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdevelop (>= 4:4.0.1)
Suggests: kdevelop-php-l10n
Description: PHP plugin for KDevelop
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 This package contains the PHP language support plugin.

Package: kdevelop-php-l10n-ca
Section: localization
Architecture: all
Recommends: kdevplatform-l10n-ca, kdevelop-l10n-ca
Provides: kdevelop-php-l10n
Description: Catalan (ca) localization for KDevelop PHP plugin
 This package contains the Catalan translations for KDevelop PHP plugin.
 .
 This package is part of the PHP plugin for KDevelop.

Package: kdevelop-php-l10n-cavalencia
Section: localization
Architecture: all
Recommends: kdevplatform-l10n-cavalencia, kdevelop-l10n-cavalencia
Provides: kdevelop-php-l10n
Description: Southern Catalan (Valencian) (ca@valencia) files for the KDevelop IDE
 This package contains the Southern Catalan (Valencian) translations
 for KDevelop.
 .
 This package is part of the PHP plugin for KDevelop.

Package: kdevelop-php-l10n-da
Section: localization
Architecture: all
Recommends: kdevplatform-l10n-da, kdevelop-l10n-da
Provides: kdevelop-php-l10n
Description: Danish (da) localization for KDevelop PHP plugin
 This package contains the Danish translations for KDevelop PHP plugin.
 .
 This package is part of the PHP plugin for KDevelop.

Package: kdevelop-php-l10n-engb
Section: localization
Architecture: all
Recommends: kdevplatform-l10n-engb, kdevelop-l10n-engb
Provides: kdevelop-php-l10n
Description: British English (en_GB) localization for KDevelop PHP plugin
 This package contains the British English translations for KDevelop PHP
 plugin.
 .
 This package is part of the PHP plugin for KDevelop.

Package: kdevelop-php-l10n-es
Section: localization
Architecture: all
Recommends: kdevplatform-l10n-es, kdevelop-l10n-es
Provides: kdevelop-php-l10n
Description: Spanish (es) localization for KDevelop PHP plugin
 This package contains the Spanish translations for KDevelop PHP plugin.
 .
 This package is part of the PHP plugin for KDevelop.

Package: kdevelop-php-l10n-et
Section: localization
Architecture: all
Recommends: kdevplatform-l10n-et, kdevelop-l10n-et
Provides: kdevelop-php-l10n
Description: Estonian (et) localization for KDevelop PHP plugin
 This package contains the Estonian translations for KDevelop PHP plugin.
 .
 This package is part of the PHP plugin for KDevelop.

Package: kdevelop-php-l10n-fr
Section: localization
Architecture: all
Recommends: kdevplatform-l10n-fr, kdevelop-l10n-fr
Provides: kdevelop-php-l10n
Description: French (fr) localization for KDevelop PHP plugin
 This package contains the French translations for KDevelop PHP plugin.
 .
 This package is part of the PHP plugin for KDevelop.

Package: kdevelop-php-l10n-gl
Section: localization
Architecture: all
Recommends: kdevplatform-l10n-gl, kdevelop-l10n-gl
Provides: kdevelop-php-l10n
Description: Galician (gl) localization for KDevelop PHP plugin
 This package contains the Galician translations for KDevelop PHP plugin.
 .
 This package is part of the PHP plugin for KDevelop.

Package: kdevelop-php-l10n-it
Section: localization
Architecture: all
Recommends: kdevplatform-l10n-it, kdevelop-l10n-it
Provides: kdevelop-php-l10n
Description: Italian (it) localization for KDevelop PHP plugin
 This package contains the Italian translations for KDevelop PHP plugin.
 .
 This package is part of the PHP plugin for KDevelop.

Package: kdevelop-php-l10n-nds
Section: localization
Architecture: all
Recommends: kdevplatform-l10n-nds, kdevelop-l10n-nds
Provides: kdevelop-php-l10n
Description: Low Saxon (nds) localization for KDevelop PHP plugin
 This package contains the Low Saxon translations for KDevelop PHP plugin.
 .
 This package is part of the PHP plugin for KDevelop.

Package: kdevelop-php-l10n-nl
Section: localization
Architecture: all
Recommends: kdevplatform-l10n-nl, kdevelop-l10n-nl
Provides: kdevelop-php-l10n
Description: Dutch (nl) localization for KDevelop PHP plugin
 This package contains the Dutch translations for KDevelop PHP plugin.
 .
 This package is part of the PHP plugin for KDevelop.

Package: kdevelop-php-l10n-pt
Section: localization
Architecture: all
Recommends: kdevplatform-l10n-pt, kdevelop-l10n-pt
Provides: kdevelop-php-l10n
Description: Portugese (pt) localization for KDevelop PHP plugin
 This package contains the Portugese translations for KDevelop PHP plugin.
 .
 This package is part of the PHP plugin for KDevelop.

Package: kdevelop-php-l10n-ptbr
Section: localization
Architecture: all
Recommends: kdevplatform-l10n-ptbr, kdevelop-l10n-ptbr
Provides: kdevelop-php-l10n
Description: Brazilian Portugese (pt_BR) localization for KDevelop PHP plugin
 This package contains the Brazilian Portugese translations for KDevelop PHP
 plugin.
 .
 This package is part of the PHP plugin for KDevelop.

Package: kdevelop-php-l10n-sv
Section: localization
Architecture: all
Recommends: kdevplatform-l10n-sv, kdevelop-l10n-sv
Provides: kdevelop-php-l10n
Description: Swedish (sv) localization for KDevelop PHP plugin
 This package contains the Swedish translations for KDevelop PHP plugin.
 .
 This package is part of the PHP plugin for KDevelop.

Package: kdevelop-php-l10n-th
Section: localization
Architecture: all
Recommends: kdevplatform-l10n-th, kdevelop-l10n-th
Provides: kdevelop-php-l10n
Description: Thai (th) localization for KDevelop PHP plugin
 This package contains the Thai translations for KDevelop PHP plugin.
 .
 This package is part of the PHP plugin for KDevelop.

Package: kdevelop-php-l10n-uk
Section: localization
Architecture: all
Recommends: kdevplatform-l10n-uk, kdevelop-l10n-uk
Provides: kdevelop-php-l10n
Description: Ukrainian (uk) localization for KDevelop PHP plugin
 This package contains the Ukrainian translations for KDevelop PHP plugin.
 .
 This package is part of the PHP plugin for KDevelop.

Package: kdevelop-php-l10n-zhcn
Section: localization
Architecture: all
Recommends: kdevplatform-l10n-zhcn, kdevelop-l10n-zhcn
Provides: kdevelop-php-l10n
Description: Chinese Simplified (zh_CN) localization for KDevelop PHP plugin
 This package contains the Chinese Simplified translations for KDevelop PHP
 plugin.
 .
 This package is part of the PHP plugin for KDevelop.

Package: kdevelop-php-l10n-zhtw
Section: localization
Architecture: all
Recommends: kdevplatform-l10n-zhtw, kdevelop-l10n-zhtw
Provides: kdevelop-php-l10n
Description: Chinese Traditional (zh_TW) localization for KDevelop PHP plugin
 This package contains the Chinese Traditional translations for KDevelop PHP
 plugin.
 .
 This package is part of the PHP plugin for KDevelop.

## kdevelop-php 1.2.2

=== debian/changelog ===
kdevelop-php (1.2.2-1) unstable; urgency=low

  * New upstream release.

  [ Andreas Cord-Landwehr ]
  * Update debian/control
    - bump kdevplatform-dev build dependency version.
    - removed French (fr) localization package.
    - removed Galician (gl) localization package.
  * Merged all localization packages into one:
    - add Breaks to all previous localization packages.
    - add Replaces to all previous localization packages.
    - contains: Catalan (ca), Southern Catalan (Valencian), Danish (da),
      British English (en_GB), Spanish (es), Estonian (et),
      Italian (it), Low Saxon (nds), Dutch (nl), Portugese (pt),
      Brazilian Portugese (pt_BR), Swedish (sv), Thai (th),
      Ukrainian (uk), Chinese Simplified (zh_CN), Chinese Traditional (zh_TW).
  * Add package with debug symbols for KDevelop PHP plugin. (Closes: #593637)
  * Add myself to Uploaders.

  [ Modestas Vainius ]
  * Switch Vcs-* fields to the new repository at git.debian.org.
  * Bump Standards-Version to 3.9.2: no changes needed.
  * Build depend on kdevplatform-dev and kdevelop-pg-qt.
  * Pass CMAKE_MODULE_PATH=/usr/share/cmake/modules/ to cmake as it does not
    find kdevelop-pg-qt otherwise.
  * Update install files.
  * Add kdevelop-php-l10n-de package.
  * Drop kdevelop-php-l10n-fr and kdevelop-php-l10n-gl packages. Not included
    in this release.
  * Add myself to Uploaders.
  * Add ${misc:Depends} to l10n packages.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 04 Jun 2011 13:41:07 +0300

=== debian/control ===
Source: kdevelop-php
Section: devel
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>,
 Andreas Cord-Landwehr <cola@uni-paderborn.de>
Build-Depends: debhelper (>= 7.4.15), cmake (>= 2.8.0), pkg-kde-tools (>= 0.6.4),
 kdevplatform-dev (>= 1.2.0), kdevelop-pg-qt (>= 0.9.0)
Standards-Version: 3.9.2
Homepage: http://www.kdevelop.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/kdevelop-php.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-std/kdevelop-php.git

Package: kdevelop-php
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdevelop (>= 4:4.0.1)
Suggests: kdevelop-php-l10n
Description: PHP plugin for KDevelop
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 This package contains the PHP language support plugin.

Package: kdevelop-php-dbg
Section: debug
Architecture: any
Priority: extra
Depends: kdevelop-php (= ${binary:Version}), kdelibs5-dbg, libc6-dbg [amd64]
Description: Debugging symbols for the KDevelop PHP Plugin
 This package contains the debugging symbols associated with KDevelop PHP.
 They will automatically be used by gdb for debugging KDevelop PHP.
 .
 This package contains debugging symbols for the KDevelop PHP plugin.

Package: kdevelop-php-l10n
Section: localization
Architecture: all
Breaks: kdevelop-php-l10n-ca, kdevelop-php-l10n-cavalencia,
 kdevelop-php-l10n-da, kdevelop-php-l10n-engb,  kdevelop-php-l10n-es, 
 kdevelop-php-l10n-et, kdevelop-php-l10n-fr, kdevelop-php-l10n-gl,
 kdevelop-php-l10n-it, kdevelop-php-l10n-nds, kdevelop-php-l10n-nl,
 kdevelop-php-l10n-pt, kdevelop-php-l10n-ptbr, kdevelop-php-l10n-sv,
 kdevelop-php-l10n-th, kdevelop-php-l10n-uk, kdevelop-php-l10n-zhcn,
 kdevelop-php-l10n-zhtw
Replaces: kdevelop-php-l10n-ca, kdevelop-php-l10n-cavalencia,
 kdevelop-php-l10n-da, kdevelop-php-l10n-engb,  kdevelop-php-l10n-es, 
 kdevelop-php-l10n-et, kdevelop-php-l10n-fr, kdevelop-php-l10n-gl,
 kdevelop-php-l10n-it, kdevelop-php-l10n-nds, kdevelop-php-l10n-nl,
 kdevelop-php-l10n-pt, kdevelop-php-l10n-ptbr, kdevelop-php-l10n-sv,
 kdevelop-php-l10n-th, kdevelop-php-l10n-uk, kdevelop-php-l10n-zhcn,
 kdevelop-php-l10n-zhtw
Description: Localization for KDevelop PHP plugin
 The KDevelop-PHP plugin is the language plugin for the PHP language
 for the KDevelop integrated development environment for KDE.
 .
 This  package contains the localizations for the KDevelop PHP plugin.

## kdevelop-php 1.2.3

=== debian/changelog ===
kdevelop-php (1.2.3-0ubuntu2) oneiric; urgency=low

  * Merge 1.2.2-1 from Debian, remaining changes:
    - Bump build-depends: kdevplatform-dev (>= 1.2.3), kdevelop-pg-qt (>= 0.9.5)
    - Keep locales in the kdevelop-php package.
    - Mark kdevelop-php as enhancing the kdevelop package.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 10 Aug 2011 19:17:35 +0200

kdevelop-php (1.2.3-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Bump kdevplatform-dev to 1.2.3

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 30 Jul 2011 22:17:40 +0200

kdevelop-php (1.2.2-0ubuntu2) oneiric; urgency=low

  * Mark kdevelop-php as enhancing the kdevelop package. This will make it
    show up as an addon in package managers that use the enhances field to
    display complimentary packages for applications.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 01 Jun 2011 01:36:49 -0400

kdevelop-php (1.2.2-0ubuntu1) natty; urgency=low

  * New upstream release
    - Build-dep on kdevelop-pg-qt >= 0.9.5 and kdevplatform >= 1.2.2

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 07 Apr 2011 14:53:07 +0200

kdevelop-php (1.2.0-0ubuntu1) natty; urgency=low

  * New upstream release
    - Build-dep on kdevplatform >= 1.2.0

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 25 Jan 2011 23:06:02 +0100

kdevelop-php (1.1.90-0ubuntu1~ppa2) natty; urgency=low

  * New upstream release
    - Build-dep on kdevplatform >= 1.1.90
    - Don't suggest removed l10n packages

 -- Philip Muskovac <yofel@gmx.net>  Wed, 12 Jan 2011 16:31:47 +0100

kdevelop-php (1.1.80-0ubuntu1) natty; urgency=low

  * New upstream release
  * Build-dep on kdevplatform >= 1.1.80
  * Get rid of l10n packages, not relevant in Ubuntu, put locale files into main package

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 20 Dec 2010 14:59:02 +0000

kdevelop-php (1.1.1-0ubuntu1) natty; urgency=low

  * New upstream release
    - Add german locale and disable french (removed upstream)

 -- Philip Muskovac <yofel@gmx.net>  Mon, 29 Nov 2010 22:18:57 +0100

kdevelop-php (1.1.0-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Nov 2010 15:21:03 +0000

kdevelop-php (1.0.90-0ubuntu1~ppa1) maverick; urgency=low

  * New upstream beta release, PPA build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 05 Oct 2010 17:49:11 +0100

=== debian/control ===
Source: kdevelop-php
Section: devel
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>,
 Andreas Cord-Landwehr <cola@uni-paderborn.de>
Build-Depends: debhelper (>= 7.4.15), cmake (>= 2.8.0), pkg-kde-tools (>= 0.6.4),
 kdevplatform-dev (>= 1.2.3), kdevelop-pg-qt (>= 0.9.5)
Standards-Version: 3.9.2
Homepage: http://www.kdevelop.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/kdevelop-php.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-std/kdevelop-php.git

Package: kdevelop-php
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdevelop (>= 4:4.0.1)
Enhances: kdevelop
Description: PHP plugin for KDevelop
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 This package contains the PHP language support plugin.

Package: kdevelop-php-dbg
Section: debug
Architecture: any
Priority: extra
Depends: kdevelop-php (= ${binary:Version}), kdelibs5-dbg, libc6-dbg [amd64]
Description: Debugging symbols for the KDevelop PHP Plugin
 This package contains the debugging symbols associated with KDevelop PHP.
 They will automatically be used by gdb for debugging KDevelop PHP.
 .
 This package contains debugging symbols for the KDevelop PHP plugin.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_configure:
	dh_auto_configure -Skde -- -DCMAKE_MODULE_PATH=/usr/share/cmake/modules/

%:
	dh $@ --parallel --list-missing --with kde --dbg-package=kdevelop-php-dbg

.PHONY: override_dh_auto_test

## kdevelop-php 1.3.1

=== debian/changelog ===
kdevelop-php (1.3.1-0ubuntu1) precise-proposed; urgency=low

  * New upstream bugfix release
  * Added watch file

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 15 Apr 2012 21:59:13 +0200

kdevelop-php (1.3.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 22 Mar 2012 12:53:53 +0000

kdevelop-php (1.2.90-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 10 Mar 2012 21:06:06 +0100

kdevelop-php (1.2.81-0ubuntu1) precise; urgency=low

  * New upstream release
    - Bump build-dep on kdevelop-pg-qt to 0.9.82
    - Add ${misc:Depends} to kdevelop-php-dbg

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 17 Jan 2012 21:17:33 +0530

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>,
  Andreas Cord-Landwehr <cola@uni-paderborn.de>
 Build-Depends: debhelper (>= 7.4.15), cmake (>= 2.8.0), pkg-kde-tools (>= 0.6.4),
- kdevplatform-dev (>= 1.2.3), kdevelop-pg-qt (>= 0.9.5)
+ kdevplatform-dev (>= 1.3.1), kdevelop-pg-qt (>= 0.9.82)
 Standards-Version: 3.9.2
 Homepage: http://www.kdevelop.org/
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/kdevelop-php.git
@@ -27,7 +27,8 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: kdevelop-php (= ${binary:Version}), kdelibs5-dbg, libc6-dbg [amd64]
+Depends: kdevelop-php (= ${binary:Version}), kdelibs5-dbg, libc6-dbg [amd64],
+         ${misc:Depends}
 Description: Debugging symbols for the KDevelop PHP Plugin
  This package contains the debugging symbols associated with KDevelop PHP.
  They will automatically be used by gdb for debugging KDevelop PHP.

=== debian/watch ===
version=3

ftp://ftp.kde.org/pub/kde/stable/kdevelop/([\d.]+)/src/kdevelop-php-([\d.]+).tar.bz2

## kdevelop-php 1.3.90

=== debian/changelog ===
kdevelop-php (1.3.90-0ubuntu1) quantal; urgency=low

  * New upstream release
    - Drop depends on kdevelop-php-i10n since kdevelop-pho already Suggests it

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 10 Sep 2012 09:10:22 +0100

kdevelop-php (1.3.80-0ubuntu2) quantal; urgency=low

  * Build-dep on kdevplatform-dev (>= 1.3.80)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 16 Aug 2012 14:26:41 +0100

kdevelop-php (1.3.80-0ubuntu1) quantal; urgency=low

  * New upstream release
  * Make kdevelop-php depend on kdevelop-php-l10n, kdevelop-php-doc

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 16 Aug 2012 12:04:42 +0100

kdevelop-php (1.3.1-2ubuntu1) quantal; urgency=low

  * Merge with Debian, remaining changes:
    - Keep watch file
    - kdevelop-php-docs-l10n replaces/breaks kdevelop-php-docs below this
      version (1.3.1-2ubuntu1) for file moves. Can be dropped next LTS. :(

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 03 Jun 2012 20:27:06 -0400

kdevelop-php (1.3.1-2) unstable; urgency=low

  * Team upload. Upload to unstable.
  * Link with with as-needed.
  * Remove the docs file, as the upstream TODO is not useful.
  * Small touches to the descriptions.

 -- Pino Toscano <pino@debian.org>  Sun, 20 May 2012 12:30:23 +0200

kdevelop-php (1.3.1-1) experimental; urgency=low

  * Team upload.
  * New upstream release:
    - fixes ftbfs with GCC 4.7. (Closes: #667222)

  [ Andreas Cord-Landwehr ]
  * Bump kdevelop-pg-qt build dependency.
  * Update debian/copyright file.
  * Bump kdevplatform dependency.
  * Bump Standards-Version to 3.9.3: no changes needed.

  [ Felix Geyer ]
  * Mark kdevelop-php as enhancing the kdevelop package.
  * Add ${misc:Depends} to kdevelop-php-dbg and kdevelop-php-l10n.
  * Drop dependency from kdevelop-php-dbg on libc6 [amd64], it's already pulled
    in by kdelibs5-dbg.

  [ Pino Toscano ]
  * Do not pass CMAKE_MODULE_PATH to cmake, since newer kdevelop-pg-qt installs
    cmake configuration files in the proper place.
  * Switch to debhelper compat v9:
    - bump compat to 9
    - bump debhelper build dependency to 9

 -- Pino Toscano <pino@debian.org>  Fri, 18 May 2012 22:36:41 +0200

=== debian/control ===
Source: kdevelop-php
Section: devel
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Andreas Cord-Landwehr <cola@uni-paderborn.de>
Build-Depends: cmake (>= 2.8.0),
               debhelper (>= 9),
               kdevelop-pg-qt (>= 1.0.0),
               kdevplatform-dev (>= 1.3.80),
               pkg-kde-tools (>= 0.6.4)
Standards-Version: 3.9.3
Homepage: http://www.kdevelop.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/kdevelop-php.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-std/kdevelop-php.git

Package: kdevelop-php
Architecture: any
Depends: kdevelop (>= 4:4.0.1), kdevelop-php-docs-l10n, ${misc:Depends}, ${shlibs:Depends}
Suggests: kdevelop-php-l10n
Enhances: kdevelop
Description: PHP plugin for KDevelop
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 This package contains the PHP language support plugin.

Package: kdevelop-php-dbg
Section: debug
Architecture: any
Priority: extra
Depends: kdelibs5-dbg, kdevelop-php (= ${binary:Version}),
         ${misc:Depends}
Description: debugging symbols for the KDevelop PHP plugin
 This package contains the debugging symbols of the PHP plugin for KDevelop.
 They will automatically be used by gdb for debugging issues with the PHP
 plugin.

Package: kdevelop-php-l10n
Section: localization
Architecture: all
Depends: ${misc:Depends}
Breaks: kdevelop-php-l10n-ca,
        kdevelop-php-l10n-cavalencia,
        kdevelop-php-l10n-da,
        kdevelop-php-l10n-engb,
        kdevelop-php-l10n-es,
        kdevelop-php-l10n-et,
        kdevelop-php-l10n-fr,
        kdevelop-php-l10n-gl,
        kdevelop-php-l10n-it,
        kdevelop-php-l10n-nds,
        kdevelop-php-l10n-nl,
        kdevelop-php-l10n-pt,
        kdevelop-php-l10n-ptbr,
        kdevelop-php-l10n-sv,
        kdevelop-php-l10n-th,
        kdevelop-php-l10n-uk,
        kdevelop-php-l10n-zhcn,
        kdevelop-php-l10n-zhtw,
        kdevelop-php (<< 1.3.1-2ubuntu1)
Replaces: kdevelop-php-l10n-ca,
          kdevelop-php-l10n-cavalencia,
          kdevelop-php-l10n-da,
          kdevelop-php-l10n-engb,
          kdevelop-php-l10n-es,
          kdevelop-php-l10n-et,
          kdevelop-php-l10n-fr,
          kdevelop-php-l10n-gl,
          kdevelop-php-l10n-it,
          kdevelop-php-l10n-nds,
          kdevelop-php-l10n-nl,
          kdevelop-php-l10n-pt,
          kdevelop-php-l10n-ptbr,
          kdevelop-php-l10n-sv,
          kdevelop-php-l10n-th,
          kdevelop-php-l10n-uk,
          kdevelop-php-l10n-zhcn,
          kdevelop-php-l10n-zhtw,
          kdevelop-php (<< 1.3.1-2ubuntu1)
Description: localization files for KDevelop PHP plugin
 The KDevelop-PHP plugin is the language plugin for the PHP language
 for the KDevelop integrated development environment for KDE.
 .
 This  package contains the localizations for the KDevelop PHP plugin.

## kdevelop-php 1.4.1

=== debian/changelog ===
kdevelop-php (1.4.1-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 04 Nov 2012 23:03:22 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends: cmake (>= 2.8.0),
                debhelper (>= 9),
                kdevelop-pg-qt (>= 1.0.0),
-               kdevplatform-dev (>= 1.3.80),
+               kdevplatform-dev (>= 1.4.1),
                pkg-kde-tools (>= 0.6.4)
 Standards-Version: 3.9.3
 Homepage: http://www.kdevelop.org/

## kdevelop-php 1.5.1

=== debian/changelog ===
kdevelop-php (1.5.1-1) unstable; urgency=low

  * Team upload.
  * New upstream release.

  [ Andreas Cord-Landwehr ]
  * Bump kdevplatform-dev build dependency to 1.5.1.
  * Bump Standards-Version to 3.9.4: no changes needed.
  * Update kdevelop-php.install.

  [ Pino Toscano ]
  * Add watch file.
  * Fix Vcs-* headers.

 -- Pino Toscano <pino@debian.org>  Fri, 06 Sep 2013 22:03:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: kdevelop-php
 Section: devel
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
            Andreas Cord-Landwehr <cola@uni-paderborn.de>
 Build-Depends: cmake (>= 2.8.0),
                debhelper (>= 9),
                kdevelop-pg-qt (>= 1.0.0),
-               kdevplatform-dev (>= 1.4.1),
+               kdevplatform-dev (>= 1.5.1),
                pkg-kde-tools (>= 0.6.4)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.kdevelop.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/kdevelop-php.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-std/kdevelop-php.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-std/kdevelop-php.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-std/kdevelop-php.git
 
 Package: kdevelop-php
 Architecture: any
-Depends: kdevelop (>= 4:4.0.1), kdevelop-php-docs-l10n, ${misc:Depends}, ${shlibs:Depends}
+Depends: kdevelop (>= 4:4.0.1), ${misc:Depends}, ${shlibs:Depends}
 Suggests: kdevelop-php-l10n
 Enhances: kdevelop
 Description: PHP plugin for KDevelop
@@ -32,8 +31,7 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: kdelibs5-dbg, kdevelop-php (= ${binary:Version}),
-         ${misc:Depends}
+Depends: kdelibs5-dbg, kdevelop-php (= ${binary:Version}), ${misc:Depends}
 Description: debugging symbols for the KDevelop PHP plugin
  This package contains the debugging symbols of the PHP plugin for KDevelop.
  They will automatically be used by gdb for debugging issues with the PHP
@@ -60,8 +58,7 @@
         kdevelop-php-l10n-th,
         kdevelop-php-l10n-uk,
         kdevelop-php-l10n-zhcn,
-        kdevelop-php-l10n-zhtw,
-        kdevelop-php (<< 1.3.1-2ubuntu1)
+        kdevelop-php-l10n-zhtw
 Replaces: kdevelop-php-l10n-ca,
           kdevelop-php-l10n-cavalencia,
           kdevelop-php-l10n-da,
@@ -79,8 +76,7 @@
           kdevelop-php-l10n-th,
           kdevelop-php-l10n-uk,
           kdevelop-php-l10n-zhcn,
-          kdevelop-php-l10n-zhtw,
-          kdevelop-php (<< 1.3.1-2ubuntu1)
+          kdevelop-php-l10n-zhtw
 Description: localization files for KDevelop PHP plugin
  The KDevelop-PHP plugin is the language plugin for the PHP language
  for the KDevelop integrated development environment for KDE.

## kdevelop-php 1.5.2

=== debian/changelog ===
kdevelop-php (1.5.2-1~tanglu10u1) aequorea-updates; urgency=medium

  * Build for aequorea.

 -- Jon Severinsson <jon@severinsson.net>  Wed, 16 Apr 2014 12:00:00 +0200

kdevelop-php (1.5.2-1) unstable; urgency=low

  * Team upload.
  * New upstream release.

  [ Andreas Cord-Landwehr ]
  * Bump kdevplatform-dev build dependency to 1.5.2.
  * Bump kdevelop runtime dependency to 4.5.2.
  * Bump Standards-Version to 3.9.5: no changes needed.
  * Update debian/watch file to track xz compressed tarballs.

 -- Pino Toscano <pino@debian.org>  Sat, 18 Jan 2014 10:25:27 +0100

=== debian/control ===
--- 
+++ 
@@ -8,16 +8,16 @@
 Build-Depends: cmake (>= 2.8.0),
                debhelper (>= 9),
                kdevelop-pg-qt (>= 1.0.0),
-               kdevplatform-dev (>= 1.5.1),
+               kdevplatform-dev (>= 1.5.2),
                pkg-kde-tools (>= 0.6.4)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.kdevelop.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-std/kdevelop-php.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-std/kdevelop-php.git
 
 Package: kdevelop-php
 Architecture: any
-Depends: kdevelop (>= 4:4.0.1), ${misc:Depends}, ${shlibs:Depends}
+Depends: kdevelop (>= 4:4.5.2), ${misc:Depends}, ${shlibs:Depends}
 Suggests: kdevelop-php-l10n
 Enhances: kdevelop
 Description: PHP plugin for KDevelop

## kdevelop-php 1.6.0

=== CMakeLists.txt ===
PROJECT(php)

cmake_minimum_required(VERSION 2.8)

set(KDEVPHP_VERSION_MAJOR 1)
set(KDEVPHP_VERSION_MINOR 6)
set(KDEVPHP_VERSION_PATCH 0)

configure_file( "${php_SOURCE_DIR}/kdevphpversion.h.cmake" "${php_BINARY_DIR}/kdevphpversion.h" @ONLY )

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${php_SOURCE_DIR}/cmake/)
enable_testing()

#To properly find kdevelop-pg add -DKDEVPG_DATA_DIR=<kdevpg-install-path>/share to the
#cmake run if you installed it in a different directory than this plugin
#TODO: a cmake run is needed after changing one of the CMakeLists.txt, make will
#complain about the FindKDevelop-PG.cmake file not findable.
find_package(KDE4 REQUIRED)

find_package(KDevPlatform 1.6.0 REQUIRED)
include_directories(${KDEVPLATFORM_INCLUDE_DIR})

include_directories(
    ${KDE4_INCLUDES}
    ${KDE4_INCLUDE_DIR}/threadweaver
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/duchain
    ${CMAKE_CURRENT_SOURCE_DIR}/parser
    ${CMAKE_CURRENT_BINARY_DIR}/parser
)

add_definitions( -DKDE_DEFAULT_DEBUG_AREA=9043 )

find_package(KDevelop-PG-Qt REQUIRED)

include_directories(
    ${CMAKE_BINARY_DIR}/parser
    ${KDEVPGQT_INCLUDE_DIR}
)

add_subdirectory(app_templates)
add_subdirectory(parser)
add_subdirectory(duchain)
add_subdirectory(completion)
add_subdirectory(testprovider)

set(kdevphplanguagesupport_PART_SRCS
    phplanguagesupport.cpp
    phpparsejob.cpp
    phphighlighting.cpp
)

kde4_add_plugin(kdevphplanguagesupport ${kdevphplanguagesupport_PART_SRCS})

target_link_libraries(kdevphplanguagesupport
    ${KDE4_KDEUI_LIBS}
    ${KDEVPLATFORM_INTERFACES_LIBRARIES}
    ${KDEVPLATFORM_LANGUAGE_LIBRARIES}
    ${KDE4_THREADWEAVER_LIBRARIES}
    ${KDE4_KTEXTEDITOR_LIBS}
    kdev4phpduchain
    kdev4phpparser
    kdev4phpcompletion
)

install(TARGETS kdevphplanguagesupport DESTINATION ${PLUGIN_INSTALL_DIR})

configure_file(kdevphpsupport.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/kdevphpsupport.desktop)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kdevphpsupport.desktop DESTINATION ${SERVICES_INSTALL_DIR})
# not writeable so that the refactoring actions get hidden
install(FILES phpfunctions.php DESTINATION ${DATA_INSTALL_DIR}/kdevphpsupport PERMISSIONS OWNER_READ GROUP_READ WORLD_READ)

set(KDE4_BUILD_TESTS "ON" CACHE "BOOL" "Enable building of tests" FORCE )

include(CTest)

# CTestCustom.cmake has to be in the CTEST_BINARY_DIR.
# in the KDE build system, this is the same as CMAKE_BINARY_DIR.
configure_file(${CMAKE_SOURCE_DIR}/CTestCustom.cmake ${CMAKE_BINARY_DIR}/CTestCustom.cmake)

include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

=== duchain/CMakeLists.txt ===
add_subdirectory(tests)

include_directories(${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    )

set(duchain_SRCS
    types/integraltypeextended.cpp
    types/structuretype.cpp
    builders/predeclarationbuilder.cpp
    builders/declarationbuilder.cpp
    builders/contextbuilder.cpp
    builders/usebuilder.cpp
    builders/typebuilder.cpp
    editorintegrator.cpp
    dumptypes.cpp
    expressionvisitor.cpp
    expressionparser.cpp
    expressionevaluationresult.cpp
    helper.cpp
    phpducontext.cpp
    declarations/variabledeclaration.cpp
    declarations/classmethoddeclaration.cpp
    declarations/classdeclaration.cpp
    declarations/functiondeclaration.cpp
    declarations/namespacedeclaration.cpp
    declarations/namespacealiasdeclaration.cpp
    navigation/navigationwidget.cpp
    navigation/declarationnavigationcontext.cpp
    navigation/includenavigationcontext.cpp
    navigation/magicconstantnavigationcontext.cpp
    completioncodemodel.cpp
    )


kde4_add_library( kdev4phpduchain SHARED ${duchain_SRCS} )

# hack to make ../parser/phpdebugvisitor.h (generated at compile time)
# use the correct EXPORT tags when compiling in MinGW
if (MINGW)
    add_definitions(-DMAKE_KDEV4PHPPARSER_LIB)
endif (MINGW)

target_link_libraries(kdev4phpduchain
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KTEXTEDITOR_LIBS}
    ${KDEVPLATFORM_INTERFACES_LIBRARIES}
    ${KDEVPLATFORM_LANGUAGE_LIBRARIES}
    ${KDEVPLATFORM_SHELL_LIBRARIES}
    ${KDEVPLATFORM_PROJECT_LIBRARIES}
    kdev4phpparser
 )

install(TARGETS kdev4phpduchain DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS})

=== parser/CMakeLists.txt ===
add_subdirectory(test)

set(parser_STAT_SRCS
    phplexer.cpp
    parsesession.cpp
    )

kdevpgqt_generate(parser_SRCS php NAMESPACE Php DEBUG_VISITOR TOKEN_TEXT
    "${php_SOURCE_DIR}/parser/php.g"
    "${php_SOURCE_DIR}/parser/phplexer.h"
)

kde4_add_library( kdev4phpparser SHARED ${parser_SRCS} ${parser_STAT_SRCS} )
target_link_libraries( kdev4phpparser
    ${KDE4_KDECORE_LIBS}
    ${KDEVPLATFORM_LANGUAGE_LIBRARIES}
    ${KDE4_KTEXTEDITOR_LIBS}
)

kde4_add_executable( php-parser main.cpp )

# hack to make phpdebugvisitor.h (generated at compile time)
# use the correct EXPORT tags when compiling in MinGW
if (MINGW)
    add_definitions(-DMAKE_KDEV4PHPPARSER_LIB)
endif (MINGW)

target_link_libraries(php-parser ${QT_QTCORE_LIBRARY} ${KDEVPLATFORM_TESTS_LIBRARIES} ${KDEVPLATFORM_LANGUAGE_LIBRARIES} kdev4phpparser)

install(TARGETS kdev4phpparser DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS})

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(nds)
add_subdirectory(zh_CN)
add_subdirectory(pl)
add_subdirectory(pt_BR)
add_subdirectory(bs)
add_subdirectory(nl)
add_subdirectory(es)
add_subdirectory(pt)
add_subdirectory(sk)
add_subdirectory(zh_TW)
add_subdirectory(et)
add_subdirectory(it)
add_subdirectory(gl)
add_subdirectory(ru)
add_subdirectory(kk)
add_subdirectory(sl)
add_subdirectory(ca)
add_subdirectory(sv)
add_subdirectory(de)
add_subdirectory(uk)
add_subdirectory(fr)
add_subdirectory(nb)
add_subdirectory(ca@valencia)
add_subdirectory(da)
add_subdirectory(fi)
add_subdirectory(en_GB)
add_subdirectory(el)

=== testprovider/CMakeLists.txt ===

# add_definitions( -DKDE_DEFAULT_DEBUG_AREA=90xx )

########### next target ###############

set(kdevphpunitprovider_PLUGIN_SRCS
    phpunitprovider.cpp
    phpunittestsuite.cpp
    phpunitrunjob.cpp
    testdoxdelegate.cpp
)

kde4_add_plugin(kdevphpunitprovider ${kdevphpunitprovider_PLUGIN_SRCS})
target_link_libraries(kdevphpunitprovider
        ${KDEVPLATFORM_INTERFACES_LIBRARIES}
        ${KDEVPLATFORM_PROJECT_LIBRARIES}
        ${KDEVPLATFORM_OUTPUTVIEW_LIBRARIES}
        ${KDEVPLATFORM_UTIL_LIBRARIES}
        ${KDEVPLATFORM_LANGUAGE_LIBRARIES})

install(TARGETS kdevphpunitprovider DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES kdevphpunitprovider.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES phpunitdeclarations.php DESTINATION ${DATA_INSTALL_DIR}/kdevphpsupport )

=== duchain/tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )


include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${KDEVPLATFORM_INCLUDE_DIR}
)

set(duchain_SRCS
    duchain.cpp
    duchaintestbase.cpp)
kde4_add_unit_test(duchain ${duchain_SRCS})
target_link_libraries(duchain
    kdev4phpduchain
    kdev4phpparser
    ${QT_QTTEST_LIBRARY}
    ${KDEVPLATFORM_TESTS_LIBRARIES}
    ${KDEVPLATFORM_LANGUAGE_LIBRARIES}
)
# hack to make ../duchaintestbase.h use the correct EXPORT tags when compiling with MinGW
if (MINGW)
    set_property(TARGET duchain APPEND_STRING PROPERTY COMPILE_FLAGS " -DMAKE_KDEV4PHPDUCHAIN_LIB")
endif (MINGW)


set(expressionparser_SRCS
    expressionparser.cpp
    duchaintestbase.cpp)
kde4_add_unit_test(expressionparser ${expressionparser_SRCS})
target_link_libraries(expressionparser
    kdev4phpduchain
    kdev4phpparser
    ${QT_QTTEST_LIBRARY}
    ${KDEVPLATFORM_TESTS_LIBRARIES}
    ${KDEVPLATFORM_LANGUAGE_LIBRARIES}
)
# hack to make ../duchaintestbase.h use the correct EXPORT tags when compiling with MinGW
if (MINGW)
    set_property(TARGET expressionparser APPEND_STRING PROPERTY COMPILE_FLAGS " -DMAKE_KDEV4PHPDUCHAIN_LIB")
endif (MINGW)


set(uses_SRCS
    uses.cpp
    duchaintestbase.cpp)
kde4_add_unit_test(uses ${uses_SRCS})
target_link_libraries(uses
    kdev4phpduchain
    kdev4phpparser
    ${QT_QTTEST_LIBRARY}
    ${KDEVPLATFORM_INTERFACES_LIBRARIES}
    ${KDEVPLATFORM_TESTS_LIBRARIES}
    ${KDEVPLATFORM_LANGUAGE_LIBRARIES}
)
# hack to make ../duchaintestbase.h use the correct EXPORT tags when compiling with MinGW
if (MINGW)
    set_property(TARGET uses APPEND_STRING PROPERTY COMPILE_FLAGS " -DMAKE_KDEV4PHPDUCHAIN_LIB")
endif (MINGW)


set(benchmarks_SRCS
    benchmarks.cpp
    duchaintestbase.cpp
)
kde4_add_unit_test(benchmarks ${benchmarks_SRCS})
target_link_libraries(benchmarks
    kdev4phpduchain
    kdev4phpparser
    ${QT_QTTEST_LIBRARY}
    ${KDEVPLATFORM_INTERFACES_LIBRARIES}
    ${KDEVPLATFORM_TESTS_LIBRARIES}
    ${KDEVPLATFORM_LANGUAGE_LIBRARIES}
)
# hack to make ../duchaintestbase.h use the correct EXPORT tags when compiling with MinGW
if (MINGW)
    set_property(TARGET benchmarks APPEND_STRING PROPERTY COMPILE_FLAGS " -DMAKE_KDEV4PHPDUCHAIN_LIB")
endif (MINGW)


set(duchain_multiplefiles_SRCS
    duchain_multiplefiles.cpp
    duchaintestbase.cpp
)
kde4_add_unit_test(duchain_multiplefiles ${duchain_multiplefiles_SRCS})
target_link_libraries(duchain_multiplefiles
    kdev4phpduchain
    kdev4phpparser
    ${QT_QTTEST_LIBRARY}
    ${KDEVPLATFORM_INTERFACES_LIBRARIES}
    ${KDEVPLATFORM_TESTS_LIBRARIES}
    ${KDEVPLATFORM_LANGUAGE_LIBRARIES}
)
# hack to make ../duchaintestbase.h use the correct EXPORT tags when compiling with MinGW
if (MINGW)
    set_property(TARGET duchain_multiplefiles APPEND_STRING PROPERTY COMPILE_FLAGS " -DMAKE_KDEV4PHPDUCHAIN_LIB")
endif (MINGW)

=== po/et/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(et ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/kk/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(kk ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== debian/changelog ===
kdevelop-php (1.6.0-0ubuntu1) trusty; urgency=low

  * New upstream release (LP: #1259220)

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 09 Dec 2013 19:08:52 +0100

kdevelop-php (1.5.2-0ubuntu1) trusty; urgency=low

  * New upstream release
  * Update watch file to use new extensions

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 04 Nov 2013 17:44:40 +0100

kdevelop-php (1.5.1-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * Merge with Debian, remaining changes:
    - Keep watch file
    - kdevelop-php-docs-l10n replaces/breaks kdevelop-php-docs below this
      version (1.3.1-2ubuntu1) for file moves. Can be dropped next LTS. :(

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 11 Jun 2013 10:29:36 +0100

kdevelop-php (1.5.1-0r0) UNRELEASED; urgency=low

  * New upstream release.

  [ Andreas Cord-Landwehr ]
  * Bump kdevplatform-dev build dependency to 1.5.1.
  * Bump Standards-Version to 3.9.4: no changes needed.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 27 Apr 2013 11:20:06 +0200

kdevelop-php (1.5.0-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 08 May 2013 18:15:54 +0000

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: kdevelop-php
 Section: devel
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
            Andreas Cord-Landwehr <cola@uni-paderborn.de>
 Build-Depends: cmake (>= 2.8.0),
                debhelper (>= 9),
                kdevelop-pg-qt (>= 1.0.0),
-               kdevplatform-dev (>= 1.5.2),
+               kdevplatform-dev (>= 1.6.0),
                pkg-kde-tools (>= 0.6.4)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.4
 Homepage: http://www.kdevelop.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-std/kdevelop-php.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-std/kdevelop-php.git
+Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/kdevelop-php.git
+Vcs-Git: git://git.debian.org/pkg-kde/kde-std/kdevelop-php.git
 
 Package: kdevelop-php
 Architecture: any
-Depends: kdevelop (>= 4:4.5.2), ${misc:Depends}, ${shlibs:Depends}
+Depends: kdevelop (>= 4:4.0.1), ${misc:Depends}, ${shlibs:Depends}
 Suggests: kdevelop-php-l10n
 Enhances: kdevelop
 Description: PHP plugin for KDevelop
@@ -58,7 +59,8 @@
         kdevelop-php-l10n-th,
         kdevelop-php-l10n-uk,
         kdevelop-php-l10n-zhcn,
-        kdevelop-php-l10n-zhtw
+        kdevelop-php-l10n-zhtw,
+        kdevelop-php (<< 1.3.1-2ubuntu1)
 Replaces: kdevelop-php-l10n-ca,
           kdevelop-php-l10n-cavalencia,
           kdevelop-php-l10n-da,
@@ -76,7 +78,8 @@
           kdevelop-php-l10n-th,
           kdevelop-php-l10n-uk,
           kdevelop-php-l10n-zhcn,
-          kdevelop-php-l10n-zhtw
+          kdevelop-php-l10n-zhtw,
+          kdevelop-php (<< 1.3.1-2ubuntu1)
 Description: localization files for KDevelop PHP plugin
  The KDevelop-PHP plugin is the language plugin for the PHP language
  for the KDevelop integrated development environment for KDE.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --list-missing --with kde --dbg-package=kdevelop-php-dbg

.PHONY: override_dh_auto_test

=== debian/watch ===
version=3

ftp://ftp.kde.org/pub/kde/stable/kdevelop/([\d.]+)/src/kdevelop-php-([\d.]+).tar.xz
